/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
/**
 *
 * @export
 * @interface TransactionsReviewResponse
 */
export interface TransactionsReviewResponse {
  /**
   *
   * @type {Set<string>}
   * @memberof TransactionsReviewResponse
   */
  reviewedTransactions: Set<string>;
  /**
   *
   * @type {Set<string>}
   * @memberof TransactionsReviewResponse
   */
  failedTransactions: Set<string>;
}

export function TransactionsReviewResponseFromJSON(
  json: any
): TransactionsReviewResponse {
  return TransactionsReviewResponseFromJSONTyped(json, false);
}

export function TransactionsReviewResponseFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): TransactionsReviewResponse {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    reviewedTransactions: json['reviewedTransactions'],
    failedTransactions: json['failedTransactions'],
  };
}

export function TransactionsReviewResponseToJSON(
  value?: TransactionsReviewResponse | null
): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    reviewedTransactions: value.reviewedTransactions,
    failedTransactions: value.failedTransactions,
  };
}
